Rivet: Fundamental particles

| Rivet 3.1.9

Functions
Fundamental particles

## Functions
bool | Rivet::PID::isQuark (int pid)
| Determine if the PID is that of a quark.
bool | Rivet::PID::isGluon (int pid)
| Determine if the PID is that of a gluon.
bool | Rivet::PID::isParton (int pid)
| Determine if the PID is that of a parton (quark or gluon)
bool | Rivet::PID::isPhoton (int pid)
| Determine if the PID is that of a photon.
bool | Rivet::PID::isElectron (int pid)
| Determine if the PID is that of an electron or positron.
bool | Rivet::PID::isMuon (int pid)
| Determine if the PID is that of an muon or antimuon.
bool | Rivet::PID::isTau (int pid)
| Determine if the PID is that of an tau or antitau.
bool | Rivet::PID::isChargedLepton (int pid)
| Determine if the PID is that of a charged lepton.
bool | Rivet::PID::isChLepton (int pid)
bool | Rivet::PID::isNeutrino (int pid)
| Determine if the PID is that of a neutrino.
bool | Rivet::PID::isWplus (int pid)
| Determine if the PID is that of a W+.
bool | Rivet::PID::isWminus (int pid)
| Determine if the PID is that of a W-.
bool | Rivet::PID::isW (int pid)
| Determine if the PID is that of a W+-.
bool | Rivet::PID::isZ (int pid)
| Determine if the PID is that of a Z0.
bool | Rivet::PID::isHiggs (int pid)
| Determine if the PID is that of an SM/lightest SUSY Higgs.
bool | Rivet::PID::isGraviton (int pid)
| Is this a graviton?
bool | Rivet::PID::isStrange (int pid)
| Determine if the PID is that of an s/sbar.
bool | Rivet::PID::isCharm (int pid)
| Determine if the PID is that of a c/cbar.
bool | Rivet::PID::isBottom (int pid)
| Determine if the PID is that of a b/bbar.
bool | Rivet::PID::isTop (int pid)
| Determine if the PID is that of a t/tbar.

## Detailed Description

## Function Documentation

## ◆ isChLepton()

bool Rivet::PID::isChLepton | ( | int | pid | ) |
| inline

Alias for isChargedLepton

Deprecated:
  Prefer isChargedLepton

References Rivet::PID::isChargedLepton(), and Rivet::pid().

## ◆ isGraviton()

bool Rivet::PID::isGraviton | ( | int | pid | ) |
| inline

Is this a graviton?

Todo:
  isSUSYHiggs?

References Rivet::pid().

Referenced by Rivet::PID::isBSM(), Rivet::PID::isSMFundamental(), and Rivet::PID::isWeakInteracting().